<?php

function conflict_prevents_execution(): bool {

    if (isset($_GET['action']) && $_GET['action'] === "edit") {
        return true;
    }

    // if DIVI Builder is active
    if (isset($_GET['et_fb']) || isset($_GET['et_pb_preview'])) {
        return true;
    }

    // Check if Elementor (Astra) Builder is active
    if ( isset($_GET['action']) && $_GET['action'] === "elementor" ) {
        return true;
    }

    // Check for Greyd.Suite Builder
    if ( isset( $_GET['greyd_builder'] ) || defined( 'GREYD_BUILDER_ACTIVE' ) ) {
        return true;
    }

    return false;
}